#define __OCICPP_INTERNAL_USE_
#include "OraRefCur.h"


OraRefCur::OraRefCur(OCIEnv *envhp,OCIError *errhp,OCIParam *paramd,ub2 type) :
			OraType(envhp,errhp,paramd,type),stmthp(0)
{
	ReqType=SQLT_RSET;
	size=0;
	if(OCIHandleAlloc((dvoid *)env,(dvoid **)&stmthp,OCI_HTYPE_STMT,(size_t) 0, (dvoid **) 0)!=OCI_SUCCESS) {
		throw new OraError("OCICPPLIB: OraRefCur: HandleAlloc failed",OCICPPERROR);
	}
	DEBUG(DLEV_DEBUG,"RefCursor created\n");
}

OraRefCur::~OraRefCur() {
	OCIHandleFree(stmthp,OCI_HTYPE_STMT);
}

void OraRefCur::getStr(string &str) {
	str.assign("REFCURSOR");
}

void OraRefCur::define(OCIStmt *stmt,int col) {
	CHECKERR(err,OCIDefineByPos(stmt, &definehp, err,col+1, (dvoid *)&stmthp, (sb4)0, ReqType, 
								   (dvoid *)&null, 0, 0, OCI_DEFAULT));
}
					
OCIStmt *OraRefCur::getStmt() {
	return stmthp;
}								   
	
	