#ifndef __ORALOB_H_
#define __ORALOB_H_

#include "ocicpp.h"
#include "OraType.h"
#include "OraError.h"
#include "Lob.h"

class OraLob: public OraType {
private:
	OCILobLocator *lob;
	OCISvcCtx *svchp;
	int type; /* CLOB or BLOB or FILE */
public:
	OraLob(OCIEnv *env,OCIError *,OCIParam *,OCISvcCtx *,ub2 type);
	~OraLob();
	virtual void define(OCIStmt *stmt,int col);
	virtual void getCLOB(Lob &lob);
	virtual void getBLOB(Lob &lob);
	virtual void getStr(string &str);
};



#endif
